Description

It would be useful if Redmine's administrator has an option to disable the access of the regular users. This way the administrator will

be sure that no one will do anything in Redmine when he is administering it.

History

#1 - 2010-12-12 23:13 - Thomas Pihl

I would recommend you to solve that on the webserver instead so that you don't need a running stack with a working redmine.

#2 - 2010-12-15 23:28 - Jean-Baptiste Barth

Same advice here, even if I don't exactly see which admin action would be disrupted by users action.. If you really want to do this it would be easy to

implement in a plugin.

#3 - 2010-12-16 07:29 - Ivan Cenov

I agree with you. The administrator may stop mongrel and/or apache and do what it wants disrupted.

(I took the idea from drupal. It have an option to put the site in maintenance mode.)

Please close this issue.

Ivan

#4 - 2010-12-17 07:23 - Mischa The Evil

Might be interesting for someone here: https://github.com/edavis10/redmine_maintenance_mode

#5 - 2011-11-26 07:05 - Ivan Cenov

- Status changed from New to Resolved

Mischa The Evil wrote:

Might be interesting for someone here: https://github.com/edavis10/redmine_maintenance_mode

 Yes, this does what I need.

Please close the issue if no one else is interested in it.

#6 - 2013-01-15 22:30 - Jan Niggemann (redmine.org team member)

Closing this, status is resolved since 400 days and more (issue was last updated more than 400 days ago)...

#7 - 2013-01-15 22:37 - Jan Niggemann (redmine.org team member)

- Status changed from Resolved to Closed

#8 - 2014-07-14 15:23 - Tobias Fischer

hey guys, I made a "real" plugin out of the code hunk from @edavis10

check it out: http://www.redmine.org/plugins/redmine_maintenance_mode
